summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorGordian Edenhofer2015-05-23 14:10:36 +0200
committerGordian Edenhofer2015-05-23 14:10:36 +0200
commit7aa9a4e8c44d0b4daad5f3f5199896e0ee86463c (patch)
tree071d26e284511ef2fd87ed1d15bf3dc11fdbbef5
downloadaur-7aa9a4e8c44d0b4daad5f3f5199896e0ee86463c.tar.gz
initial commit
-rw-r--r--.SRCINFO46
-rw-r--r--PKGBUILD91
-rw-r--r--slurm-llnl-default-conf16
-rw-r--r--slurm-llnl.install73
-rw-r--r--slurm-tmpfiles.conf4
-rw-r--r--slurmctld.service15
-rw-r--r--slurmd.service15
-rw-r--r--slurmdbd.service14
8 files changed, 274 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..c559c166a0f
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,46 @@
+# Generated by makepkg 4.2.1
+# Sat May 23 12:04:36 UTC 2015
+pkgbase = slurm-llnl
+ pkgdesc = Simple Linux Utility for Resource Management
+ pkgver = 14.11.7
+ pkgrel = 1
+ url = http://www.schedmd.com
+ install = slurm-llnl.install
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = python
+ depends = munge
+ optdepends = hwloc: enables the task/cgroup plugin
+ optdepends = lua: the lua API will be available in various plugins
+ optdepends = libmariadbclient: support for accounting
+ optdepends = postgresql-libs: support for PostgreSQL
+ optdepends = hdf5: support for acct_gather_profile/hdf5 job profiling
+ optdepends = blcr: support for the checkpoint/blcr plugin
+ optdepends = openssl: support for the crypto/openssl CryptoType plugin
+ optdepends = pam: PAM support
+ optdepends = readline: Readline support in scontrol and sacctmgr's interactive modes
+ optdepends = libibmad: support for the acct_gather_infiniband/ofed InfiniBand accounting plugin
+ optdepends = libibumad: support for the acct_gather_infiniband/ofed InfiniBand accounting plugin
+ optdepends = man2html: HTML versions of the man pages will be generated
+ optdepends = rrdtool: support for the ext_sensors/rrd plugin
+ optdepends = numactl: NUMA support in the task/affinity plugin
+ optdepends = ncurses: adds the smap command
+ optdepends = gtk2: enables the sview command, a simple graphical frontend
+ conflicts = slurm-llnl-dev
+ conflicts = slurm-llnl-git
+ source = slurm-tmpfiles.conf
+ source = slurm-llnl-default-conf
+ source = slurmctld.service
+ source = slurmd.service
+ source = slurmdbd.service
+ source = http://www.schedmd.com/download/total/slurm-14.11.7.tar.bz2
+ md5sums = 51e4ae2c51edf7c145d1b87bec4c344e
+ md5sums = cae664b8ef44d01783dade9088e25b53
+ md5sums = 31899d7a4caaa7bdb8b987afae191b56
+ md5sums = 72a4cddcef47bdc989d49d02ee698e55
+ md5sums = cd89bfa37d6b3108fc17c531a27183a0
+ md5sums = c4aa1e8f1b4ae4c6d56b93d455e73505
+
+pkgname = slurm-llnl
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..e258b0a0500
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,91 @@
+# Maintainer: Gordian Edenhofer <gordian.edenhofer[at]yahoo[dot]de>
+# Contributor: Alan Orth <alan.orth[at]gmail[dot]com >
+# Submitter: Fredrik Tegenfeldt <fredrik.tegenfeldt@unige.ch>
+
+pkgname=slurm-llnl
+pkgver=14.11.7
+pkgrel=1
+pkgdesc="Simple Linux Utility for Resource Management"
+arch=('i686' 'x86_64')
+url="http://www.schedmd.com"
+license=('GPL')
+depends=('munge')
+optdepends=("hwloc: enables the task/cgroup plugin"
+ "lua: the lua API will be available in various plugins"
+ "libmariadbclient: support for accounting"
+ "postgresql-libs: support for PostgreSQL"
+ "hdf5: support for acct_gather_profile/hdf5 job profiling"
+ "blcr: support for the checkpoint/blcr plugin"
+ "openssl: support for the crypto/openssl CryptoType plugin"
+ "pam: PAM support"
+ "readline: Readline support in scontrol and sacctmgr's interactive modes"
+ "libibmad: support for the acct_gather_infiniband/ofed InfiniBand accounting plugin"
+ "libibumad: support for the acct_gather_infiniband/ofed InfiniBand accounting plugin"
+ "man2html: HTML versions of the man pages will be generated"
+ "rrdtool: support for the ext_sensors/rrd plugin"
+ "numactl: NUMA support in the task/affinity plugin"
+ "ncurses: adds the smap command "
+ "gtk2: enables the sview command, a simple graphical frontend")
+makedepends=('python')
+conflicts=('slurm-llnl-dev' 'slurm-llnl-git')
+install=${pkgname}.install
+source=("slurm-tmpfiles.conf"
+ "slurm-llnl-default-conf"
+ "slurmctld.service"
+ "slurmd.service"
+ "slurmdbd.service"
+ "http://www.schedmd.com/download/total/slurm-${pkgver}.tar.bz2")
+md5sums=('51e4ae2c51edf7c145d1b87bec4c344e'
+ 'cae664b8ef44d01783dade9088e25b53'
+ '31899d7a4caaa7bdb8b987afae191b56'
+ '72a4cddcef47bdc989d49d02ee698e55'
+ 'cd89bfa37d6b3108fc17c531a27183a0'
+ 'c4aa1e8f1b4ae4c6d56b93d455e73505')
+
+
+build() {
+ cd "${srcdir}/slurm-${pkgver}"
+
+ # If required libraries or header files are in non-standard locations,
+ # set CFLAGS and LDFLAGS environment variables accordingly.
+ # Optional Slurm plugins will be built automatically when the configure script
+ # detects that the required build requirements are present.
+ #
+ # Read http://slurm.schedmd.com/quickstart_admin.html for more information
+
+ ./configure \
+ --prefix=/usr \
+ --sbindir=/usr/bin \
+ --sysconfdir=/etc/slurm-llnl \
+ --localstatedir=/var
+
+ make
+}
+
+package() {
+ cd "${srcdir}/slurm-${pkgver}"
+
+ make DESTDIR="${pkgdir}" install
+
+ # slurm configs and license
+ install -D -m644 etc/slurm.conf.example "${pkgdir}/etc/slurm-llnl/slurm.conf.example"
+ install -D -m644 etc/slurmdbd.conf.example "${pkgdir}/etc/slurm-llnl/slurmdbd.conf.example"
+ install -D -m644 LICENSE.OpenSSL "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.OpenSSL"
+ install -D -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/COPYING"
+
+ install -D -m644 ../slurm-llnl-default-conf "${pkgdir}/etc/default/slurm-llnl"
+
+ # init related install
+ install -D -m755 etc/init.d.slurm "${pkgdir}/etc/rc.d/slurm"
+ install -D -m755 etc/init.d.slurmdbd "${pkgdir}/etc/rc.d/slurmdbd"
+
+ # SystemD related install
+ install -D -m644 ../slurmctld.service "${pkgdir}/usr/lib/systemd/system/slurmctld.service"
+ install -D -m644 ../slurmd.service "${pkgdir}/usr/lib/systemd/system/slurmd.service"
+ install -D -m644 ../slurmdbd.service "${pkgdir}/usr/lib/systemd/system/slurmdbd.service"
+ install -D -m644 ../slurm-tmpfiles.conf "${pkgdir}/etc/tmpfiles.d/slurm-tmpfiles.conf"
+
+ # creating a log and a lib dir
+ install -d -m755 "${pkgdir}/var/log/slurm-llnl"
+ install -d -m755 "${pkgdir}/var/lib/slurm-llnl"
+}
diff --git a/slurm-llnl-default-conf b/slurm-llnl-default-conf
new file mode 100644
index 00000000000..13ade045a3b
--- /dev/null
+++ b/slurm-llnl-default-conf
@@ -0,0 +1,16 @@
+# Defaults for slurm initscript
+# sourced by /lib/systemd/system/slurm*.service
+# installed at /etc/default/slurm-llnl by the maintainer scripts
+#
+# This is a POSIX shell fragment
+#
+# Additional options that are passed to the slurmctld daemon
+#SLURMCTLD_OPTIONS=""
+
+
+# Additional options that are passed to the slurmd daemon
+#SLURMD_OPTIONS=""
+
+
+# Additional options that are passed to the slurmdbd daemon
+#SLURMDBD_OPTIONS=""
diff --git a/slurm-llnl.install b/slurm-llnl.install
new file mode 100644
index 00000000000..a7b47458a4e
--- /dev/null
+++ b/slurm-llnl.install
@@ -0,0 +1,73 @@
+## arg 1: the new package version
+post_install() {
+ id slurm >&/dev/null
+ if [ $? -ne 0 ]; then
+ echo -e "\e[34;1m==>\e[39;1m Adding slurm system group... \e[0m"
+ groupadd -g 64030 -r slurm
+ [ $? -ne 0 ] && groupadd -r slurm
+
+ echo -e "\e[34;1m==>\e[39;1m Adding slurm system user... \e[0m"
+ useradd -r -c "Slurm Daemon" -d /var/log/slurm-llnl -g slurm -u 64030 slurm
+ [ $? -ne 0 ] && useradd -r -c "Slurm Daemon" -d /var/log/slurm-llnl -g slurm slurm
+
+ echo -e "\e[34;1m==>\e[39;1m Locking Slurm User Account...\e[0m"
+ passwd -l slurm &>/dev/null
+ fi
+
+ # securing the log dir
+ if [ -d /var/log/slurm-llnl ]; then
+ chown -R slurm:slurm /var/log/slurm-llnl
+ fi
+
+ echo -e "\e[34;1m==>\e[39;1m NOTE: You have to create a slurm configuration-file in /etc/slurm-llnl/ \e[0m"
+ echo -e "\e[34;1m==>\e[39;1m prior to starting any slurm daemons. \e[0m"
+ echo -e "\e[34;1m==>\e[39;1m NOTE: In order for new optional dependencies to be taken into account \e[0m"
+ echo -e "\e[34;1m==>\e[39;1m slurm-llnl has to be recompiled. \e[0m"
+}
+
+## arg 1: the new package version
+## arg 2: the old package version
+post_upgrade() {
+ echo -e "\e[34;1m==>\e[39;1m NOTE: In order for new optional dependencies to be taken into account \e[0m"
+ echo -e "\e[34;1m==>\e[39;1m slurm-llnl has to be recompiled. \e[0m"
+
+ # THIS HAS TO BE REMOVED ONEDAY - TODO
+ if [ -f /etc/slurm/slurm.conf ]; then
+ mv /etc/slurm/* /etc/slurm-llnl/
+ rmdir /etc/slurm
+ echo -e "\e[34;1m==>\e[39;1m Your configuration-files were moved from /etc/slurm to /etc/slurm-llnl ! \e[0m"
+ fi
+}
+
+## arg 1: the old package version
+pre_remove() {
+ which systemctl >& /dev/null
+ if [ $? -eq 0 ]; then
+ echo -e "\e[34;1m==>\e[39;1m Stopping slurm daemons through SystemD... \e[0m"
+ systemctl stop slurmd.service
+ systemctl stop slurmdbd.service
+ systemctl stop slurmctld.service
+
+ echo -e "\e[34;1m==>\e[39;1m Disabling SystemD related file(s)... \e[0m"
+ systemctl disable slurmd.service
+ systemctl disable slurmdbd.service
+ systemctl disable slurmctld.service
+ else
+ echo -e "\e[34;1m==>\e[39;1m Stopping slurm daemons... \e[0m"
+ /etc/rc.d/slurm stop
+ /etc/rc.d/slurmdbd stop
+ fi
+}
+
+## arg 1: the old package version
+post_remove() {
+ echo -e "\e[34;1m==>\e[39;1m Removing slurm system user/group... \e[0m"
+ userdel slurm
+
+ # deleting remnant recusivly (there shell be now links!)
+ rm -rf /var/lib/slurm-llnl
+
+ # notifying the user of kept dirs
+ [ -d /etc/slurm-llnl ] && echo -e "\e[34;1m==>\e[39;1m NOTE: Custom configuration-file(s) in /etc/slurm-llnl/ were kept on your system.\e[0m"
+ [ -d /var/log/slurm-llnl ] && echo -e "\e[34;1m==>\e[39;1m NOTE: Logfiles were preserved. They reside under /var/log/slurm-llnl .\e[0m"
+}
diff --git a/slurm-tmpfiles.conf b/slurm-tmpfiles.conf
new file mode 100644
index 00000000000..f50c8df8e91
--- /dev/null
+++ b/slurm-tmpfiles.conf
@@ -0,0 +1,4 @@
+d /var/log/slurm 0755 root root -
+d /var/spool/slurm 0755 slurm slurm -
+d /var/spool/slurm/slurmctld 0755 slurm slurm -
+d /var/spool/slurm/slurmd 0755 root root -
diff --git a/slurmctld.service b/slurmctld.service
new file mode 100644
index 00000000000..950f18a375b
--- /dev/null
+++ b/slurmctld.service
@@ -0,0 +1,15 @@
+[Unit]
+Description=Slurm controller daemon
+After=network.target munge.service
+Requires=munge.service
+ConditionPathExists=/etc/slurm-llnl/slurm.conf
+
+[Service]
+Type=simple
+EnvironmentFile=/etc/default/slurm-llnl
+ExecStartPre=/usr/bin/mkdir -p /var/lib/slurm-llnl
+ExecStart=/usr/bin/slurmctld -D $SLURMCTLD_OPTIONS
+PIDFile=/var/run/slurm/slurmctld.pid
+
+[Install]
+WantedBy=multi-user.target
diff --git a/slurmd.service b/slurmd.service
new file mode 100644
index 00000000000..645679b6f37
--- /dev/null
+++ b/slurmd.service
@@ -0,0 +1,15 @@
+[Unit]
+Description=Slurm node daemon
+After=network.target systemd-tmpfiles-clean.service
+Requires=munge.service
+ConditionPathExists=/etc/slurm-llnl/slurm.conf
+
+[Service]
+Type=simple
+EnvironmentFile=/etc/default/slurm-llnl
+ExecStartPre=/usr/bin/mkdir -p /var/lib/slurm-llnl
+ExecStart=/usr/bin/slurmd -D $SLURMD_OPTIONS
+PIDFile=/var/run/slurm/slurmd.pid
+
+[Install]
+WantedBy=multi-user.target
diff --git a/slurmdbd.service b/slurmdbd.service
new file mode 100644
index 00000000000..9097a59f2eb
--- /dev/null
+++ b/slurmdbd.service
@@ -0,0 +1,14 @@
+[Unit]
+Description=Slurm DBD accounting daemon
+After=network.target mysqld.service
+ConditionPathExists=/etc/slurm-llnl/slurmdbd.conf
+
+[Service]
+Type=simple
+EnvironmentFile=/etc/default/slurm-llnl
+ExecStartPre=/usr/bin/mkdir -p /var/lib/slurm-llnl
+ExecStart=/usr/bin/slurmdbd -D $SLURMDBD_OPTIONS
+PIDFile=/var/run/slurm/slurmdbd.pid
+
+[Install]
+WantedBy=multi-user.target